Bug 130619 - Ramfs/Tmpfs/udev does not support SELinux EA's
Ramfs/Tmpfs/udev does not support SELinux EA's
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-22 17:10 EDT by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-11 19:05:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2004-08-22 17:10:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.5

Description of problem:
The ramfs filesystem does not support extended attributes.  The means
that SELinux can not properly label /dev when it is managed as a ramfs
by udev.  Upon booting, several error messages like the following are
seen:

/sbin/restorecon get context on /dev/foo failed: 'operation not supported'

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Set up a machine using udev.  Specify UDEV_RAMFS="yes" and
UDEV_KEEP_DEV="no" in /etc/udev/udev.conf.  Reboot the system.

Actual Results:  Notice the "/sbin/restorecon get context on /dev/foo
failed: 'operation not supported'" messages.

Expected Results:  Restorecon should be able to set the device nodes'
SELinux contexts.

Additional info:
Comment 1 W. Michael Petullo 2004-08-22 17:12:30 EDT
I meant to open this bug against udev, not hal.
Comment 2 John (J5) Palmieri 2004-08-22 21:42:59 EDT
Reassign to udev maintainers
Comment 3 Harald Hoyer 2004-08-23 04:29:10 EDT
reassigning to component kernel. Patches for this exist. 
- patch for xattr  http://hands.com/~lkcl/selinux/2.6.6
Comment 4 Harald Hoyer 2004-08-24 11:17:33 EDT
ok, strategy is to use tmpfs, which provides xattrs
Comment 5 Harald Hoyer 2004-08-27 08:15:33 EDT
ok, tmpfs does not have xattrs as well
Comment 6 W. Michael Petullo 2004-09-11 19:05:44 EDT
Red Hat's kernel now seems to contain a patch that adds xattrs to
tmpfs.  New versions of mkinitrd mount /dev as a tmpfs.

Note You need to log in before you can comment on or make changes to this bug.